---
title: Create an inbox rule
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Security Monitoring
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Create an inbox rule{% #create-an-inbox-rule %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in Preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                       |
| ----------------- | ---------------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/security/findings/automation/inbox_rules |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/security/findings/automation/inbox_rules |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/security/findings/automation/inbox_rules      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/security/findings/automation/inbox_rules      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/security/findings/automation/inbox_rules  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/security/findings/automation/inbox_rules |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/security/findings/automation/inbox_rules     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/security/findings/automation/inbox_rules |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/security/findings/automation/inbox_rules |

### Overview

Create an inbox rule for the current organization. This endpoint requires the `security_pipelines_write` permission.

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                           | Type     | Description                                                                                                                                                                                                                                                                                  |
| ------------ | ------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]          | object   | The data object for an inbox rule create request.                                                                                                                                                                                                                                            |
| data         | attributes [*required*]    | object   | Attributes for creating or updating an inbox rule.                                                                                                                                                                                                                                           |
| attributes   | action [*required*]        | object   | The action to take when the inbox rule matches a finding.                                                                                                                                                                                                                                    |
| action       | description                     | string   | An optional description providing more context for the rule.                                                                                                                                                                                                                                 |
| attributes   | enabled                         | boolean  | Whether the inbox rule is enabled.                                                                                                                                                                                                                                                           |
| attributes   | name [*required*]          | string   | The name of the inbox rule.                                                                                                                                                                                                                                                                  |
| attributes   | rule [*required*]          | object   | Defines the scope of findings to which the automation rule applies.                                                                                                                                                                                                                          |
| rule         | finding_types [*required*] | [string] | The list of security finding types that the automation rule applies to.                                                                                                                                                                                                                      |
| rule         | query                           | string   | A search query to further filter the findings matched by this rule. The `@workflow.*` namespace and `@status` fields are not permitted. For a reference of available fields, see the [Security Findings schema documentation](https://docs.datadoghq.com/security/guide/findings-schema.md). |
| data         | type [*required*]          | enum     | The JSON:API type for inbox rules. Allowed enum values: `inbox_rules`                                                                                                                                                                                                                        |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "action": {
        "description": "Needs triage"
      },
      "enabled": true,
      "name": "Triage production misconfigurations",
      "rule": {
        "finding_types": [
          "misconfiguration"
        ],
        "query": "env:prod team:platform"
      }
    },
    "type": "inbox_rules"
  }
}
```

{% /tab %}

### Response

{% tab title="201" %}
Successfully created the inbox rule
{% tab title="Model" %}
A single inbox rule response.

| Parent field | Field                           | Type     | Description                                                                                                                                                                                                                                                                                  |
| ------------ | ------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]          | object   | The data object for an inbox rule returned by the API.                                                                                                                                                                                                                                       |
| data         | attributes [*required*]    | object   | Attributes of an inbox rule returned by the API.                                                                                                                                                                                                                                             |
| attributes   | action [*required*]        | object   | The action to take when the inbox rule matches a finding.                                                                                                                                                                                                                                    |
| action       | description                     | string   | An optional description providing more context for the rule.                                                                                                                                                                                                                                 |
| attributes   | created_at [*required*]    | int64    | The Unix timestamp in milliseconds when the rule was created.                                                                                                                                                                                                                                |
| attributes   | created_by [*required*]    | object   | The user or Datadog system who created the rule.                                                                                                                                                                                                                                             |
| created_by   | id [*required*]            | string   | The actor's identifier (a user UUID or a system identifier).                                                                                                                                                                                                                                 |
| created_by   | name [*required*]          | string   | The name of the actor.                                                                                                                                                                                                                                                                       |
| created_by   | type [*required*]          | enum     | Whether the actor is a user or the Datadog system. Allowed enum values: `user,system`                                                                                                                                                                                                        |
| attributes   | enabled [*required*]       | boolean  | Whether the inbox rule is enabled.                                                                                                                                                                                                                                                           |
| attributes   | modified_at [*required*]   | int64    | The Unix timestamp in milliseconds when the rule was last modified.                                                                                                                                                                                                                          |
| attributes   | modified_by [*required*]   | object   | The user or Datadog system who last modified the rule.                                                                                                                                                                                                                                       |
| modified_by  | id [*required*]            | string   | The actor's identifier (a user UUID or a system identifier).                                                                                                                                                                                                                                 |
| modified_by  | name [*required*]          | string   | The name of the actor.                                                                                                                                                                                                                                                                       |
| modified_by  | type [*required*]          | enum     | Whether the actor is a user or the Datadog system. Allowed enum values: `user,system`                                                                                                                                                                                                        |
| attributes   | name [*required*]          | string   | The name of the inbox rule.                                                                                                                                                                                                                                                                  |
| attributes   | rule [*required*]          | object   | Defines the scope of findings to which the automation rule applies.                                                                                                                                                                                                                          |
| rule         | finding_types [*required*] | [string] | The list of security finding types that the automation rule applies to.                                                                                                                                                                                                                      |
| rule         | query                           | string   | A search query to further filter the findings matched by this rule. The `@workflow.*` namespace and `@status` fields are not permitted. For a reference of available fields, see the [Security Findings schema documentation](https://docs.datadoghq.com/security/guide/findings-schema.md). |
| data         | id [*required*]            | uuid     | The ID of the inbox rule.                                                                                                                                                                                                                                                                    |
| data         | type [*required*]          | enum     | The JSON:API type for inbox rules. Allowed enum values: `inbox_rules`                                                                                                                                                                                                                        |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "action": {
        "description": "Needs triage"
      },
      "created_at": 1722439510282,
      "created_by": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "Jane Doe",
        "type": "user"
      },
      "enabled": true,
      "modified_at": 1722439510282,
      "modified_by": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "Jane Doe",
        "type": "user"
      },
      "name": "Triage production misconfigurations",
      "rule": {
        "finding_types": [
          "misconfiguration"
        ],
        "query": "env:prod team:platform"
      }
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "type": "inbox_rules"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="422" %}
Unprocessable Entity
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/security/findings/automation/inbox_rules" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "action": {
        "description": "Needs triage"
      },
      "enabled": true,
      "name": "Triage production misconfigurations",
      "rule": {
        "finding_types": [
          "misconfiguration"
        ],
        "query": "env:prod"
      }
    },
    "type": "inbox_rules"
  }
}
EOF 
                
{% /tab %}
